> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Text to Speech item by id



## OpenAPI

````yaml get /api/text_to_speech/{id}/
openapi: 3.0.3
info:
  title: creatify.ai API
  version: 1.0.0
  description: API for creatify.ai
servers: []
security: []
paths:
  /api/text_to_speech/{id}/:
    get:
      tags:
        - text_to_speech
      operationId: text_to_speech_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this Text To Speech Flow.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TextToSpeechFlow'
          description: ''
      security:
        - X-API-ID: []
          X-API-KEY: []
components:
  schemas:
    TextToSpeechFlow:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        script:
          type: string
          description: Text to be converted to speech
          maxLength: 8000
        accent:
          type: string
          format: uuid
          nullable: true
          description: Accent to be used for the speech
        webhook_url:
          type: string
          format: uri
          nullable: true
          description: Webhook URL for status updates. Default is null.
          maxLength: 200
        output:
          type: string
          readOnly: true
          description: Output audio url
        media_job:
          type: string
          readOnly: true
          nullable: true
        credits_used:
          type: number
          description: Credits used in this API call
          readOnly: true
        duration:
          type: integer
          readOnly: true
          description: Duration of the video in seconds
        is_hidden:
          type: boolean
          readOnly: true
          description: Whether the job is hidden or not
        status:
          type: string
          readOnly: true
        failed_reason:
          type: string
          readOnly: true
          description: Failed reason
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Created date
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Updated date
      required:
        - created_at
        - credits_used
        - duration
        - failed_reason
        - id
        - is_hidden
        - media_job
        - output
        - script
        - status
        - updated_at
  securitySchemes:
    X-API-ID:
      type: apiKey
      in: header
      name: X-API-ID
      description: API ID, from your settings page.
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API Key, from your settings page.

````